> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/in/api/upload-files-with-the-geopard-api.md).

# GeoPard API के साथ फ़ाइलें अपलोड करें

{% hint style="success" %}
6 MB से बड़ी फ़ाइलों के लिए सुझाया गया तरीका है [प्री-साइन किए गए URL का फ़्लो](https://docs.geopard.tech/geopard-tutorials/in/api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).
{% endhint %}

GeoPard API, आगे की प्रोसेसिंग और विश्लेषण के लिए मिट्टी/उपज/डालने की मात्रा/खेत की सीमा वाले डेटासेट के ZIP आर्काइव अपलोड करने की सुविधा देता है।

{% hint style="danger" %}
AWS की सीमा के कारण, इस REST एंडपॉइंट के ज़रिए आप अधिकतम 6 MB की फ़ाइल अपलोड कर सकते हैं।
{% endhint %}

6 MB से बड़ी फ़ाइलें अपलोड करने के चरण यहाँ बताए गए हैं: [ZIP फ़ाइलें अपलोड करना (6 MB से बड़ी)](https://docs.geopard.tech/geopard-tutorials/in/api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

मिट्टी/उपज/डालने की मात्रा वाला डेटासेट सफलतापूर्वक अपलोड होते ही, GeoPard इंजन उसे निर्धारित फ़ार्म के भीतर मौजूद संबंधित खेतों से जोड़ देता है।

खेत की सीमा वाला डेटासेट सफलतापूर्वक अपलोड होते ही, GeoPard इंजन उसकी प्रोसेसिंग शुरू कर देता है।

जवाब में एक `<uuid>` होता है, जिसका इस्तेमाल आप प्रोसेसिंग की स्थिति ट्रैक करने के लिए कर सकते हैं।

#### अनुरोध का उदाहरण:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

पैरामीटर ये हैं:

1. `<type>` - अपलोड किए गए डेटासेट का प्रकार। यह इनमें से एक होना चाहिए: `yield` या `soil` या `applied` या `boundary`.
2. `<farm_uuid>` - उस फ़ार्म का `uuid` जहाँ फ़ाइल अपलोड की जाएगी (वैकल्पिक)।
3. `<token>` - GeoPard एक्सेस टोकन।
4. `@path/to/file.zip` - अपलोड की जा रही फ़ाइल का पाथ।


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/in/api/upload-files-with-the-geopard-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
